package convoynet

import (
	"fmt"
	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически воюет с конвоем в сети
*/

// ConvoyNet -- танкует с конвоем в сети
type ConvoyNet struct {
	*sectionnet.SectionNet
}

// NewConvoyNet -- возвращает новый *ConvoyNet
func NewConvoyNet(convoy types.Конвой) (*ConvoyNet, error) {
	sectionNet, err := sectionnet.NewSectionNet(convoy, "https://wartank.ru/convoy")
	if err != nil {
		return nil, fmt.Errorf("NewConvoyNet(): in create *SectionNet, err=\n\t%w", err)
	}
	sf := &ConvoyNet{
		SectionNet: sectionNet,
	}
	return sf, nil
}
